Skip to main content
GET
Read Collection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string<uuid>
required

UUID of the collection to read. Use an ID returned by create/list/search. The caller must be able to access this collection.

Response

200 - application/json

OK

created_at
string<date-time>
required

Creation timestamp for the collection in ISO 8601 format.

description
string | null
required

Optional description text currently stored on the collection.

id
string<uuid>
required

UUID of the requested collection.

note_count
integer
required

Current number of notes in the collection.

request_id
string
required

Identifier for this API request. Useful for tracing and support.

title
string
required

Current title of the collection.

updated_at
string<date-time>
required

Last modification timestamp for the collection in ISO 8601 format.